function initializeSwipers() {
  if ($(".swiper-best").length) {
    const swiperBest = new Swiper(".swiper-best", {
      // loop: true,
      navigator: false,
      slidesPerView: 1.2,
      spaceBetween: 10,

      breakpoints: {
        1600: {
          slidesPerView: 3,
          spaceBetween: 20,
        },
        1200: {
          slidesPerView: 2.5,
          spaceBetween: 20,
        },
        768: {
          slidesPerView: 2.5,
          spaceBetween: 10,
        },
      },
    });
    document
      .getElementById("prevBtn_best")
      .addEventListener("click", () => swiperBest.slidePrev());
    document
      .getElementById("nextBtn_best")
      .addEventListener("click", () => swiperBest.slideNext());
  }

  if ($(".swiper-best-week").length) {
    const swiperBestWeek = new Swiper(".swiper-best-week", {
      // loop: true,
      navigator: false,
      slidesPerView: 1.2,
      spaceBetween: 10,

      breakpoints: {
        1600: {
          slidesPerView: 3,
          spaceBetween: 20,
        },
        1200: {
          slidesPerView: 2.5,
          spaceBetween: 20,
        },
        768: {
          slidesPerView: 2.5,
          spaceBetween: 10,
        },
      },
    });
    document
      .getElementById("prevBtn_best_week")
      .addEventListener("click", () => swiperBestWeek.slidePrev());
    document
      .getElementById("nextBtn_best_week")
      .addEventListener("click", () => swiperBestWeek.slideNext());
  }

  if ($(".swiper-courses").length) {
    const swiperCourses = new Swiper(".swiper-courses", {
      // loop: true,
      navigator: false,
      slidesPerView: 1.2,
      spaceBetween: 10,

      breakpoints: {
        1600: {
          slidesPerView: 3,
          spaceBetween: 20,
        },
        1200: {
          slidesPerView: 2.5,
          spaceBetween: 20,
        },
        768: {
          slidesPerView: 2.5,
          spaceBetween: 10,
        },
      },
    });
    document
      .getElementById("prevBtn_courses")
      .addEventListener("click", () => swiperCourses.slidePrev());
    document
      .getElementById("nextBtn_courses")
      .addEventListener("click", () => swiperCourses.slideNext());
  }

  if ($(".swiper-blog").length) {
    const swiperBlog = new Swiper(".swiper-blog", {
      // loop: true,
      navigator: false,
      slidesPerView: 1.2,
      spaceBetween: 10,

      breakpoints: {
        1600: {
          slidesPerView: 3,
          spaceBetween: 20,
        },
        1200: {
          slidesPerView: 2.5,
          spaceBetween: 20,
        },
        768: {
          slidesPerView: 2.5,
          spaceBetween: 10,
        },
      },
    });
    document
      .getElementById("prevBtn_blog")
      .addEventListener("click", () => swiperBlog.slidePrev());
    document
      .getElementById("nextBtn_blog")
      .addEventListener("click", () => swiperBlog.slideNext());
  }

  if ($(".swiper-recommended").length) {
    const swiperRecommended = new Swiper(".swiper-recommended", {
      // loop: true,
      navigator: false,
      slidesPerView: 1.2,
      spaceBetween: 10,

      breakpoints: {
        1600: {
          slidesPerView: 4,
          spaceBetween: 20,
        },
        1200: {
          slidesPerView: 3,
          spaceBetween: 20,
        },
        768: {
          slidesPerView: 2,
          spaceBetween: 10,
        },
      },
    });
  }

  if ($(".swiper-reviews").length) {
    const swiperReviews = new Swiper(".swiper-reviews", {
      // loop: true,
      navigator: false,
      slidesPerView: 1.2,
      spaceBetween: 10,

      breakpoints: {
        1600: {
          slidesPerView: 3,
          spaceBetween: 20,
        },
        1200: {
          slidesPerView: 2.5,
          spaceBetween: 20,
        },
        768: {
          slidesPerView: 2.5,
          spaceBetween: 10,
        },
      },
    });
    document
      .getElementById("prevBtn_reviews")
      .addEventListener("click", () => swiperReviews.slidePrev());
    document
      .getElementById("nextBtn_reviews")
      .addEventListener("click", () => swiperReviews.slideNext());
  }

  if ($(".swiper-articles-category").length) {
    const swiperArticlesCategory = new Swiper(".swiper-articles-category", {
      // loop: true,
      navigator: false,
      slidesPerView: 2,
      spaceBetween: 10,

      breakpoints: {
        1600: {
          slidesPerView: 7,
          spaceBetween: 20,
        },
        1200: {
          slidesPerView: 5,
          spaceBetween: 20,
        },
        768: {
          slidesPerView: 4,
          spaceBetween: 10,
        },
      },
    });
    document
      .getElementById("prevBtn_articles-category")
      .addEventListener("click", () => swiperArticlesCategory.slidePrev());
    document
      .getElementById("nextBtn_articles-category")
      .addEventListener("click", () => swiperArticlesCategory.slideNext());
  }
}

function radialBarChart() {
  var percentage = $("#percentage-value").data("percent");

  // مقدار درصد را داخل چارت نمایش بده
  $(".chart-value").text(percentage + "٪");

  var options = {
    series: [percentage], // مقدار درصدی که از HTML گرفته شده
    chart: {
      height: 200,
      type: "radialBar",
    },
    plotOptions: {
      radialBar: {
        hollow: {
          size: "70%", // اندازه دایره توخالی وسط
        },
        dataLabels: {
          name: {
            show: false, // مخفی کردن عنوان
          },
          value: {
            show: false, // مخفی کردن درصد
          },
        },
      },
    },
    colors: ["#09b106"], // رنگ نوار دایره‌ای
  };

  var chart = new ApexCharts(
    document.querySelector("#radialBarChart"),
    options
  );
  chart.render();
}

$(document).ready(function () {
  $("#toggleMenu").click(function () {
    $("#mobileMenu").toggleClass("menu-active");
  });

  $("#closeMenu, #mobileMenu").click(function (e) {
    if (e.target.id === "mobileMenu" || e.target.id === "closeMenu") {
      $("#mobileMenu").removeClass("menu-active");
    }
  });

  if ($(".swiper").length) {
    initializeSwipers();
  }
  if ($("#radialBarChart").length) {
    radialBarChart();
  }
});
